Bug 1285694 - JbpmJUnitBaseTestCase.assertNodeActive() throws "java.lang.RuntimeException: Process instance XXX is disconnected." in sessionPersistence test
JbpmJUnitBaseTestCase.assertNodeActive() throws "java.lang.RuntimeException: ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: 6.3.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 04:49 EST by Toshiya Kobayashi
Modified: 2016-03-29 07:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4846 Major Resolved JbpmJUnitBaseTestCase.assertNodeActive() throws "java.lang.RuntimeException: Process instance XXX is disconnected." in s... 2016-06-28 00:19 EDT

  None (edit)
Description Toshiya Kobayashi 2015-11-26 04:49:25 EST
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4846


Steps to Reproduce:
1. See test case in PR https://github.com/droolsjbpm/jbpm/pull/349

Actual results:

java.lang.IllegalStateException: Process instance 1[com.sample.bpmn.hello] is disconnected.
	at org.jbpm.process.instance.impl.ProcessInstanceImpl.getProcess(ProcessInstanceImpl.java:100)
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.getWorkflowProcess(WorkflowProcessInstanceImpl.java:276)
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.getNodeContainer(WorkflowProcessInstanceImpl.java:95)
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.getNode(NodeInstanceImpl.java:123)
	at org.jbpm.workflow.instance.node.WorkItemNodeInstance.getNodeName(WorkItemNodeInstance.java:390)
	at org.jbpm.test.JbpmJUnitBaseTestCase.assertNodeActive(JbpmJUnitBaseTestCase.java:695)
	at org.jbpm.test.JbpmJUnitBaseTestCase.assertNodeActive(JbpmJUnitBaseTestCase.java:682)
	at org.jbpm.test.JbpmJUnitBaseTestCaseTest.testAssertMethods(JbpmJUnitBaseTestCaseTest.java:34)


Expected results:

Run without Exception.
Comment 1 Maciej Swiderski 2015-11-26 06:34:08 EST
PR has been merged into master

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/a147312138c61de83bd184ba39bab1787517413f
Comment 2 Radovan Synek 2016-03-29 07:56:02 EDT
Verified with BPMS-6.3.0.ER1

Note You need to log in before you can comment on or make changes to this bug.